MPI_File_call_errhandler(3)

NAME
MPI_File_call_errhandler - Passes the supplied error code to the error handler assigned to a file

SYNTAX

C Syntax
#include <mpi.h>
int MPI_File_call_errhandler(MPI_File fh, int errorcode)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_FILE_CALL_ERRHANDLER(FH, ERRORCODE, IERROR)
	INTEGER	FH, IERRORCODE, IERROR

C++ Syntax
#include <mpi.h>
void MPI::File::Call_errhandler(int errorcode) const

INPUT PARAMETERS

fh  file with error handler (handle).

errorcode
    MPI error code (integer).

OUTPUT PARAMETER

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
This function invokes the error handler assigned to the file handle fh with the supplied error code errorcode. If the error handler was successfully called, the process is not aborted, and the error handler returns, this function returns MPI_SUCCESS.

Unlike errors on communicators and windows, the default errorhandler for files is MPI_ERRORS_RETURN.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI::Exception object.

See the MPI man page for a full list of MPI error codes.

SEE ALSO
MPI_File_create_errhandler
MPI_File_set_errhandler